=== debian/changelog ===
python-ephemeral-port-reserve (1.1.4-4) unstable; urgency=medium

  * Team upload.
  * d/watch: Fix uscan error.

 -- Colin Watson <cjwatson@debian.org>  Thu, 20 Feb 2025 15:51:17 +0000

python-ephemeral-port-reserve (1.1.4-3) unstable; urgency=medium

  * Team Upload
  * Fix Salsa URL to match real current location of repository
  * Drop python_distutils buildsystem (Closes: #1090498)

 -- Alexandre Detiste <tchet@debian.org>  Wed, 18 Dec 2024 12:31:56 +0100

python-ephemeral-port-reserve (1.1.4-2) unstable; urgency=medium

  * Re-upload source-only.
  * Add missing dh_python3 --shebang=/usr/bin/python3 call.

 -- Thomas Goirand <zigo@debian.org>  Sat, 17 Sep 2022 17:22:56 +0200

python-ephemeral-port-reserve (1.1.4-1) unstable; urgency=medium

  * Initial release (Closes: #1019730).

 -- Thomas Goirand <zigo@debian.org>  Wed, 14 Sep 2022 11:45:40 +0200
